Subject: Re: would like some verification on 8BITMIME and RFC1652
From: Ned Freed <[email-masked]>
To: Jack De Winter <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Oct 1997 08:37:51 -0700 (PDT)

> hey all.  was just trying to debug a problem with our site
> connecting to MSN.COM.  Following RFC1652, the RFC on 8BITMIME
> use in ESMTP, when we have a 7 bit message, we place
> "BODY=7BIT" as the last parameter in the FROM LINE, such as:

> MAIL FROM:<[email-masked]> SIZE=1169 BODY=7BIT

> Now, whenever we send mail to MSN.COM in that manner, it is
> refused as an illegal command, even though it says it supports
> ESMTP's 8BITMIME.  Furthermore, if the lines:

> MAIL FROM:<[email-masked]> SIZE=1169 BODY=8BITMIME

> or

> MAIL FROM:<[email-masked]> SIZE=1169

> are used, the command is accepted with no problems.

> Now, my understanding of RFC 1652 is that if you do support 8BITMIME,
> you should be sending "BODY=7BIT".

I don't see anything like this in RFC1652. What I do see is an optional
MAIL FROM parameter called BODY, which can be used to indicate whether
or not a message is in 7bit form or 8bitMIME form. Nowhere do I see a
recommendation that the BODY=7bit version, which is the default, should
be used when sending a 7bit message. You can do it if you want to, but you're
not required to.

> Could people verify this and let me know if msn.com should be able
> to accept the "BODY=7BIT" tag or if is okay that it does not?

Different question, for which the answer is yes, they should be able
to handle your sending body=7bit. That they do not is a bug, plain and simple.

Unfortunately it is small beer compared to the inability to handle quoting
sequences in NOTARY MAIL FROM parameters, a bug present in some widely deployed
versions of MS Exchange.

				Ned

Date: Tue, 14 Oct 1997 11:06:07 -0400
To: [email-masked]
From: "Jack De Winter" <[email-masked]>
Subject: would like some verification on 8BITMIME and RFC1652
Sender: [email-masked]

hey all.  was just trying to debug a problem with our site
connecting to MSN.COM.  Following RFC1652, the RFC on 8BITMIME
use in ESMTP, when we have a 7 bit message, we place
"BODY=7BIT" as the last parameter in the FROM LINE, such as:

MAIL FROM:<[email-masked]> SIZE=1169 BODY=7BIT

Now, whenever we send mail to MSN.COM in that manner, it is
refused as an illegal command, even though it says it supports
ESMTP's 8BITMIME.  Furthermore, if the lines:

MAIL FROM:<[email-masked]> SIZE=1169 BODY=8BITMIME

or

MAIL FROM:<[email-masked]> SIZE=1169

are used, the command is accepted with no problems.

Now, my understanding of RFC 1652 is that if you do support 8BITMIME,
you should be sending "BODY=7BIT".

Could people verify this and let me know if msn.com should be able
to accept the "BODY=7BIT" tag or if is okay that it does not?

regards,
Jack

-------------------------------------------------
Jack De Winter - Wildbear Consulting, Inc.
(519) 884-4498		http://www.wildbear.on.ca/

Author of SLMail for 95 & NT (http://www.seattlelab.com/)